# Maintainer: Tércio Martins <echo dGVyY2lvd2VuZGVsQGdtYWlsLmNvbQo= | base64 -d>

pkgname=natron
pkgver=1
pkgrel=1
epoch=1
pkgdesc="Open source compositing software (metapackage with the program and standard plugins)"
arch=('x86_64')
url="https://natrongithub.github.io"
license=('GPL')
makedepends=('imagemagick')
conflicts=("${pkgname}-git")
source=("https://metainfo.manjariando.com.br/${pkgname}/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/${pkgname}/${pkgname}.png")

_natron_desktop="[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=
Exec=
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_natron_desktop" | tee com.${pkgname}.desktop
}

package() {
    depends=('openfx-arena' 'openfx-gmic' 'openfx-io' 'openfx-misc' 'natron-compositor')
    optdepends=('natron-plugins-git: Plugins made by the Natron community')
        
    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname}.desktop" "${pkgdir}/usr/share/applications/com.${pkgname}.desktop"
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgnamet}.metainfo.xml"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${srcdir}/${pkgname}.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${pkgname}.png"
    done
}
md5sums=('33bbb8b992e1663a40e0cddabea1aaec'
         '2f535129408e7d9d8d48fb69a5aac09d')
